Plot HomeDocumentation
Task templates

Create Task From Template

Creates a task from a visible task template using the shared Zero template mutator

POST
/v1/task-templates/{id}/create-task

Creates a task from a visible task template using the shared Zero template mutator

Path Parameters

id*string

Task template UUID or public ID

Query Parameters

expand?||array<>

Expansion fields: "all" (full enrichment, default), "none" (IDs only), or array of fields ["status", "area", "project", "assignee"]

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/task-templates/string/create-task" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "dueDate": "2019-08-24T14:15:22Z",  "completedAt": "2019-08-24T14:15:22Z",  "publicId": 0,  "priority": true,  "visibility": "string",  "createdById": "e13e432a-5323-4484-a91d-b5969bc564d9",  "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",  "areaId": "ebbb2a49-d827-4796-8d8a-108c229835e9",  "statusId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "deletedAt": "2019-08-24T14:15:22Z",  "assignedToId": "7a15e53b-1403-4928-9451-d7062c3a8737",  "repeatId": "cef73cf7-0158-4282-a1d8-86ad6c8f41a9",  "description": {    "html": "string",    "markdown": "string"  },  "status": {    "id": "string",    "name": "string",    "stage": "string",    "color": "string"  },  "assignee": {    "id": "string",    "name": "string",    "email": "string"  },  "area": {    "id": "string",    "name": "string",    "publicId": "str"  },  "project": {    "id": "string",    "name": "string"  }}